RTEMS: BSP Command Line Helpers

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Functions
BSP Command Line Helpers
API » Classic

## Files
file | bspcmdline.h
| BSP Command Line Handler.
file | bspcmdline_get.c
| Obtain Pointer to BSP Boot Command String.
file | bspcmdline_getparam.c
| Obtain COPY of the Entire Matching Argument.
file | bspcmdline_getparamraw.c
| Obtain Pointer to the Entire Matching Argument.
file | bspcmdline_getparamrhs.c
| Obtain COPY of the Right Hand Side of the Matching Argument.

## Functions
const char * | rtems_bsp_cmdline_get (void)
| Obtain Pointer to BSP Boot Command String.
const char * | rtems_bsp_cmdline_get_param (const char *name, char *value, size_t length)
| Obtain COPY of the Entire Matching Argument.
const char * | rtems_bsp_cmdline_get_param_rhs (const char *name, char *value, size_t length)
| Obtain COPY of the Right Hand Side of the Matching Argument.
const char * | rtems_bsp_cmdline_get_param_raw (const char *name)
| Obtain Pointer to the Entire Matching Argument.

## Detailed Description

The BSP Command Line Handler provides a set of routines which assist in examining and decoding the Command Line String passed to the BSP at boot time.

## Function Documentation

## ◆ rtems_bsp_cmdline_get()

const char * rtems_bsp_cmdline_get | ( | void |  | ) |

Obtain Pointer to BSP Boot Command String.

This method returns a pointer to the BSP Boot Command String. It is as likely to be NULL as point to a string as most BSPs do not have a start environment that provides a boot string.

Return values

  This | method returns the pointer to the BSP Boot Command String.

## ◆ rtems_bsp_cmdline_get_param()

const char * rtems_bsp_cmdline_get_param | ( | const char * | name,
|  | char * | value,
|  | size_t | length
| ) |  |

Obtain COPY of the Entire Matching Argument.

This method searches for the argument name in the BSP Boot Command String and returns a copy of the entire string associated with it in value up to a string of length. This will include the argument and any right hand side portion of the string. For example, one might be returned –mode=FAST if searching for –mode.

Parameters

  [in] | name | is the arugment to search for
  [in] | value | points to where the contents will be placed if located.
  [in] | length | is the maximum length to copy

Returns
  This method returns NULL if not found and value if found.

## ◆ rtems_bsp_cmdline_get_param_raw()

const char * rtems_bsp_cmdline_get_param_raw | ( | const char * | name | ) |

Obtain Pointer to the Entire Matching Argument.

This method searches for the argument name in the BSP Boot Command String and returns a pointer to the entire string associated with it. This will include the argument and any right hand side portion of the string. For example, one might be returned –mode=FAST if searching for –mode.

Parameters

  [in] | name | is the arugment to search for

Return values

  This | method returns NULL if not found and a pointer into the BSP Boot Command String if found.

Note
  The pointer will be to the original BSP Command Line string. Exercise caution when using this.

## ◆ rtems_bsp_cmdline_get_param_rhs()

const char * rtems_bsp_cmdline_get_param_rhs | ( | const char * | name,
|  | char * | value,
|  | size_t | length
| ) |  |

Obtain COPY of the Right Hand Side of the Matching Argument.

This method searches for the argument name in the BSP Boot Command String and returns the right hand side associated with it in value up to a maximum string length. This will NOT include the argument but only any right hand side portion of the string. * For example, one might be returned FAST if searching for –mode.

Parameters

  [in] | name | is the arugment to search for
  [in] | value | points to where the contents will be placed if located.
  [in] | length | is the maximum length to copy

Return values

  This | method returns NULL if not found and value if found.